<?php

namespace FiloBlu\Flow\Model\AmastyMultiInventory;


class FullFactory
{
    protected $moduleManager;
    protected $objectManager;

    public function __construct(
        \Magento\Framework\Module\Manager $moduleManager,
        \Magento\Framework\ObjectManagerInterface $objectManager
    )
    {
        $this->moduleManager = $moduleManager;
        $this->objectManager = $objectManager;
    }

    public function create(array $data = array(),$className = null)
    {
        if(!$className){
            return null;
        }

        $instanceName = null;
        if ($this->moduleManager->isEnabled('Amasty_MultiInventory')) {
            $instanceName = $className;
        }

        if($instanceName){
            return $this->objectManager->create($instanceName, $data);
        } else {
            return $instanceName; //null
        }


    }
}
